//CRawSpecularShader - [2020-04-13 11:57:47]
#ifndef _CRAWSPECULARSHADER_H_
#define _CRAWSPECULARSHADER_H_

#include "common.h"
#include "CFTTUberShader.h"

/*
001D043C CRawSpecularShader::CRawSpecularShader()
001D0448 CRawSpecularShader::~CRawSpecularShader()
001AE428 CRawSpecularShader::SetVDC(CFTTTexParam aTexParam)
001AE43C CRawSpecularShader::SetRaw(CFTTTexParam aTexParam)
001AE450 CRawSpecularShader::SetFace(CFTTVector32 const& pVector32)
001AE45C CRawSpecularShader::SetMultiX(CFTTVector32 const& pVector32)
001AE468 CRawSpecularShader::SetMultiY(CFTTVector32 const& pVector32)
001AE4BE CRawSpecularShader::SetRoughness(float f)
001D044C CRawSpecularShader::CreateMat()
*/

class CRawSpecularShader : public CFTTUberShader {
public:
  CRawSpecularShader();                           //001D043C
  ~CRawSpecularShader();                          //001D0448
  void SetVDC(CFTTTexParam aTexParam);            //001AE428
  void SetRaw(CFTTTexParam aTexParam);            //001AE43C
  void SetFace(CFTTVector32 const& pVector32);    //001AE450
  void SetMultiX(CFTTVector32 const& pVector32);  //001AE45C
  void SetMultiY(CFTTVector32 const& pVector32);  //001AE468
  void SetRoughness(float f);                     //001AE4BE
  ushort CreateMat();                             //001D044C

  static CRawSpecularShader s_tInstance;
};

#endif  //_CRAWSPECULARSHADER_H_